Kerbal Space Program - Bug #2849

Struts attach below surface of S1 SRB-KD25k
08/01/2014 06:51 PM - Thanny

Status: Closed Start date: 08/01/2014
Severity: Low % Done: 100%
Assignee: Leticia

Category: Parts

Target version: 1.2.2

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Placing a strut anywhere on the large SRB results in it attaching below the surface, which means it can't be selected to remove it.
Struts attach normally to the smaller SRB's.

Related issues:
Related to Kerbal Space Program - Bug #13384: Struts are leaving the connecto... Not a Bug 12/07/2016

History

#1 - 08/14/2014 05:37 PM - Ruedii

| can confirm this is happening as well with my system, on all versions up to 0.24.2
My system is Linux, Steam, with nVidia proprietary drivers.

I've seen a similar bug on the cupola module, and have experienced it with other parts radial that radial mount. It is a real problem on the strut which
actually mounts below the surface, making it hard to see the mount point. Other parts just seem slightly below the surface.

#2 - 09/05/2014 10:47 AM - Ted
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Indeed, the collider is below the visible model in places it seems.

#3 - 07/17/2016 09:26 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/17/2016 11:42 AM - Thanny

This bug is still present in the latest version of the game. It's possible to get to the strut by zooming inside the SRB, but that's never easy.

#5 - 07/17/2016 11:44 PM - TriggerAu

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

Setting to updated for confirmation

For info on the cleanup see: http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
#6 - 07/18/2016 01:13 PM - REAPER7

- File 20160718184142_1.jpg added

- File 20160718184148_1.jpg added
- Status changed from Updated to Confirmed

Confirmed 1.1.3
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

Check photo description

#7 - 07/19/2016 08:27 AM - TriggerAu

Awesome thanks

#9 - 09/24/2016 04:06 AM - eboshi2525
- File SRB_STRUT_01.png added
- File SRB_STRUT_02.png added

I'm an author of #12284.
This issue has been left behind for over 2 years.

What's a advantage to burying #12284 from v1.2 into here?

This is a widely known issue by Kerbnauts from the past, | certainly know.

To return to the topic, in the editor, EAS-4 Strut is buried in S1 SRB and other parts.
Can internal structure of parts such as S1 SRB be repaired? Or can EAS-4's ends be modified into tall?

A player who just bought KSP today can see this issue easily, and may consider this game to be roughly made one. Such event makes nobody

happy.

#10 - 11/11/2016 10:32 PM - Roy

- Status changed from Confirmed to Ready to Test
- Assignee set to Leticia

- Target version set to Not Applicable

- % Done changed from 10 to 80

#12 - 12/07/2016 03:57 AM - JPLRepo

- Target version changed from Not Applicable to 1.2.2

This should be fixed in 1.2.2. Please test.

#13 - 12/07/2016 11:24 AM - sal_vager

- Related to Bug #13384: Struts are leaving the connectors at the wrong angle added

#14 - 04/05/2017 03:18 PM - swjr-swis
1.2.2.1622 Win x64

Confirmed as resolved in 1.2.2.

(I cannot edit the status of this report)

#15 - 04/07/2017 07:02 AM - bewing
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#16 - 06/22/2017 08:39 PM - Squelch

- Status changed from Resolved to Closed
